Package org.eclipse.emf.cdo.spi.common.revision

# Interface CDORevisionProviderWithSynthetics

All Superinterfaces:
  `CDORevisionProvider`

All Known Implementing Classes:
  `ManagedRevisionProvider.WithSynthetics`

public interface CDORevisionProviderWithSynthetics extends CDORevisionProvider
A revision provider that can also provide `synthetic revisions`.

Since:
  4.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`SyntheticCDORevision`
`getSynthetic(CDOID id)`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

`getRevision`

## Method Details

### getSynthetic

SyntheticCDORevision getSynthetic(CDOID id)